# Class AsyncChannelWrapperNonSecure

java.lang.Object
org.apache.tomcat.websocket.AsyncChannelWrapperNonSecure

All Implemented Interfaces:
  `AsyncChannelWrapper`

public class AsyncChannelWrapperNonSecure extends Object implements AsyncChannelWrapper
Generally, just passes calls straight to the wrapped `AsynchronousSocketChannel`. In some cases exceptions may be swallowed to save them being swallowed by the calling code.

## Constructor Summary

Constructors
Constructor
Description
`AsyncChannelWrapperNonSecure(AsynchronousSocketChannel socketChannel)`

## Method Summary

Modifier and Type
Method
Description
`void`
`close()`
`SocketAddress`
`getLocalAddress()`
`Future<Void>`
`handshake()`
`Future<Integer>`
`read(ByteBuffer dst)`
`<B, A extends B>
void`
`read(ByteBuffer dst, A attachment, CompletionHandler<Integer,B> handler)`
`Future<Integer>`
`write(ByteBuffer src)`
`<B, A extends B>
void`
`write(ByteBuffer[] srcs, int offset, int length, long timeout, TimeUnit unit, A attachment, CompletionHandler<Long,B> handler)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AsyncChannelWrapperNonSecure

public AsyncChannelWrapperNonSecure(AsynchronousSocketChannel socketChannel)

## Method Details

### read

public Future<Integer> read(ByteBuffer dst)

Specified by:
  `read` in interface `AsyncChannelWrapper`

### read

public <B, A extends B> void read(ByteBuffer dst, A attachment, CompletionHandler<Integer,B> handler)

Specified by:
  `read` in interface `AsyncChannelWrapper`

### write

public Future<Integer> write(ByteBuffer src)

Specified by:
  `write` in interface `AsyncChannelWrapper`

### write

public <B, A extends B> void write(ByteBuffer[] srcs, int offset, int length, long timeout, TimeUnit unit, A attachment, CompletionHandler<Long,B> handler)

Specified by:
  `write` in interface `AsyncChannelWrapper`

### close

public void close()

Specified by:
  `close` in interface `AsyncChannelWrapper`

### handshake

public Future<Void> handshake()

Specified by:
  `handshake` in interface `AsyncChannelWrapper`

### getLocalAddress

public SocketAddress getLocalAddress() throws IOException

Specified by:
  `getLocalAddress` in interface `AsyncChannelWrapper`
Throws:
  `IOException`